gtkglextmm: Gdk::GL::Window Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gdk::GL::Window Class Reference
[GL Drawables]

`#include <window.h>`

Inheritance diagram for Gdk::GL::Window:

[legend]
Collaboration diagram for Gdk::GL::Window:

[legend]
List of all members.

## Public Member Functions
virtual | ~Window ()
GdkGLWindow * | gobj ()
| Provides access to the underlying C GObject.
const GdkGLWindow * | gobj () const
| Provides access to the underlying C GObject.
GdkGLWindow * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Gdk::Window > | get_window ()
Glib::RefPtr< const Gdk::Window > | get_window () const
## Static Public Member Functions
static Glib::RefPtr< Window > | create (const Glib::RefPtr< const Config > &glconfig, const Glib::RefPtr< const Gdk::Window > &window, const int *attrib_list=0)
## Protected Member Functions
| Window (const Glib::RefPtr< const Config > &glconfig, const Glib::RefPtr< const Gdk::Window > &window, const int *attrib_list=0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdk::GL::Window > | wrap (GdkGLWindow *object, bool take_copy=false)

## Detailed Description

OpenGL window which is located onscreen.

## Constructor & Destructor Documentation

virtual Gdk::GL::Window::~Window | ( |  | ) | `[virtual]`

Gdk::GL::Window::Window | ( | const Glib::RefPtr< const Config > & | glconfig,
|  | const Glib::RefPtr< const Gdk::Window > & | window,
|  | const int * | attrib_list = `0`
| ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Window> Gdk::GL::Window::create | ( | const Glib::RefPtr< const Config > & | glconfig,
|  | const Glib::RefPtr< const Gdk::Window > & | window,
|  | const int * | attrib_list = `0`
| ) | `[static]`

Glib::RefPtr<const Gdk::Window> Gdk::GL::Window::get_window | ( |  | ) | const

| Returns the Gdk::Window associated with glwindow . Notice that Gdk::GLWindow is not Gdk::Window, but another Gdk::Drawable which have an associated Gdk::Window. Returns: The Gdk::Window associated with glwindow .

Glib::RefPtr<Gdk::Window> Gdk::GL::Window::get_window | ( |  | ) |

| Returns the Gdk::Window associated with glwindow . Notice that Gdk::GLWindow is not Gdk::Window, but another Gdk::Drawable which have an associated Gdk::Window. Returns: The Gdk::Window associated with glwindow .

const GdkGLWindow* Gdk::GL::Window::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gdk::GL::Drawable.

GdkGLWindow* Gdk::GL::Window::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gdk::GL::Drawable.

GdkGLWindow* Gdk::GL::Window::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::GL::Window > wrap | ( | GdkGLWindow * | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/gl/window.h